Skip to main content
GET
/
suppliers
List suppliers
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/suppliers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "phone": "<string>",
      "website": "<string>",
      "taxNumber": "<string>",
      "registrationNumber": "<string>",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "postalCode": "<string>",
        "country": "<string>"
      },
      "bankDetails": {
        "accountHolderName": "<string>",
        "accountNumber": "<string>",
        "sortCode": "<string>",
        "routingNumber": "<string>",
        "iban": "<string>",
        "bicSwift": "<string>",
        "country": "<string>",
        "currency": "<string>"
      },
      "paymentTermsDefault": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

Cursor
string
Limit
default:20
Name
string
Email
string

Response

200 - application/json

OK

data
object[]
nextCursor
null | string
hasMore
boolean